aboutsummaryrefslogtreecommitdiffstats
path: root/main/mariadb/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-04-05 21:09:30 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-04-05 21:09:30 +0200
commit106a5eae5aada153c5e806fc2579466f0eca58dd (patch)
treeee76b4f08753d860822b5577e18e95e90cbb5f1b /main/mariadb/APKBUILD
parent645728cbbd89554cb04d8c1bdb58808a757c8105 (diff)
downloadaports-106a5eae5aada153c5e806fc2579466f0eca58dd.tar.gz
aports-106a5eae5aada153c5e806fc2579466f0eca58dd.tar.bz2
aports-106a5eae5aada153c5e806fc2579466f0eca58dd.tar.xz
main/mariadb: fix script path and etc location
Diffstat (limited to 'main/mariadb/APKBUILD')
-rw-r--r--main/mariadb/APKBUILD57
1 files changed, 20 insertions, 37 deletions
diff --git a/main/mariadb/APKBUILD b/main/mariadb/APKBUILD
index 6450886bdc..1d777b64d4 100644
--- a/main/mariadb/APKBUILD
+++ b/main/mariadb/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mariadb
pkgver=5.5.42
-pkgrel=0
+pkgrel=1
pkgdesc="A fast SQL database server"
url="http://www.mariadb.org"
pkgusers="mysql"
@@ -15,9 +15,10 @@ depends_dev="openssl-dev zlib-dev"
makedepends="cmake openssl-dev zlib-dev readline-dev libaio-dev ncurses-dev
linux-headers"
source="https://downloads.mariadb.org/interstitial/mariadb-$pkgver/source/mariadb-$pkgver.tar.gz
-$pkgname.initd"
+ $pkgname.initd
+ fix-mysql-install-db-path.patch"
-subpackages="$pkgname-doc $pkgname-dev $pkgname-libs $pkgname-common
+subpackages="$pkgname-doc $pkgname-dev $pkgname-common $pkgname-libs
$pkgname-client $pkgname-bench $pkgname-test:mytest
mysql mysql-client:_compat_client mysql-bench:_compat_bench"
@@ -52,7 +53,7 @@ build() {
-DINSTALL_MYSQLSHAREDIR=share/mysql \
-DINSTALL_DOCDIR=share/mysql/docs \
-DINSTALL_SHAREDIR=share/mysql \
- -DWITH_READLINE=ON \
+ -DWITH_READLINE=ON \
-DWITH_ZLIB=system \
-DWITH_SSL=system \
-DWITH_LIBWRAP=OFF \
@@ -99,7 +100,6 @@ package() {
"$pkgdir"/usr/bin
ln -s ../../../../bin/my_safe_process \
"$pkgdir"/usr/mysql-test/lib/My/SafeProcess/my_safe_process
-
}
dev(){
@@ -123,34 +123,16 @@ common() {
pkgdesc="MariaDB common files for boh server and client"
replaces="mysql-common"
depends=
- mkdir -p "$subpkgdir"/usr/share/mysql \
+ mkdir -p "$subpkgdir"/usr/share/mysql
mv "$pkgdir"/etc "$subpkgdir"/ || return 1
- mv "$pkgdir"/usr/share/mysql/english \
- "$pkgdir"/usr/share/mysql/czech \
- "$pkgdir"/usr/share/mysql/danish \
- "$pkgdir"/usr/share/mysql/dutch \
- "$pkgdir"/usr/share/mysql/estonian \
- "$pkgdir"/usr/share/mysql/french \
- "$pkgdir"/usr/share/mysql/german \
- "$pkgdir"/usr/share/mysql/greek \
- "$pkgdir"/usr/share/mysql/hungarian \
- "$pkgdir"/usr/share/mysql/italian \
- "$pkgdir"/usr/share/mysql/japanese \
- "$pkgdir"/usr/share/mysql/korean \
- "$pkgdir"/usr/share/mysql/norwegian \
- "$pkgdir"/usr/share/mysql/norwegian-ny \
- "$pkgdir"/usr/share/mysql/polish \
- "$pkgdir"/usr/share/mysql/portuguese \
- "$pkgdir"/usr/share/mysql/romanian \
- "$pkgdir"/usr/share/mysql/russian \
- "$pkgdir"/usr/share/mysql/serbian \
- "$pkgdir"/usr/share/mysql/slovak \
- "$pkgdir"/usr/share/mysql/spanish \
- "$pkgdir"/usr/share/mysql/swedish \
- "$pkgdir"/usr/share/mysql/ukrainian \
- "$pkgdir"/usr/share/mysql/charsets \
- "$subpkgdir"/usr/share/mysql/ \
- || return 1
+ local lang="charsets danish english french greek italian korean norwegian-ny
+ portuguese russian slovak swedish czech dutch estonian german
+ hungarian japanese norwegian polish romanian serbian spanish
+ ukrainian"
+ for l in $lang; do
+ mv "$pkgdir"/usr/share/mysql/$l \
+ "$subpkgdir"/usr/share/mysql/ || return 1
+ done
}
mytest() {
@@ -170,9 +152,7 @@ client() {
local bins="myisam_ftdump mysql mysqlaccess mysqladmin mysqlbug
mysqlcheck mysqldump mysqldumpslow mysql_find_rows
mysql_fix_extensions mysqlimport mysqlshow mysql_waitpid"
-
mkdir -p "$subpkgdir"/usr/bin/ || return 1
-
for i in $bins; do
mv "$pkgdir"/usr/bin/${i} "$subpkgdir"/usr/bin/ || return 1
done
@@ -198,8 +178,11 @@ _compat_bench() { _compat mysql-bench; }
md5sums="34436f64fe71e8b9c540d43aca9baff1 mariadb-5.5.42.tar.gz
-01fe0055305d8f974c35d0898245014b mariadb.initd"
+01fe0055305d8f974c35d0898245014b mariadb.initd
+bcaee4dbbf77f4432ecd9796714be75b fix-mysql-install-db-path.patch"
sha256sums="3c868e768f4c24b4aa2f8f1725460d15a5485ed75e17b0755c6e604520e34439 mariadb-5.5.42.tar.gz
-cbf3c99c41310033ed092b38ae0f55bc74334ce4531a6c82f21feff26f25008d mariadb.initd"
+cbf3c99c41310033ed092b38ae0f55bc74334ce4531a6c82f21feff26f25008d mariadb.initd
+52e3827529b53c02a9ba263bd395bde773d2666853b252a131e824bb256f36d5 fix-mysql-install-db-path.patch"
sha512sums="8fd9916e7ad225ea47936c34a14d37d0e4c9ac182b8791d46d158aa86151cbfe45e54e0b680d281223f175d492765aeadd7565e2a706d86b69696a51761e9769 mariadb-5.5.42.tar.gz
-fccc31e8e67dc21087c4feb3a36d2ac129dccfe6d393172b58834b408faa85ab6f9f70ec423c88ab7613df9ae258a8db990f3c48d69ef2a1906f7e3b4e18c892 mariadb.initd"
+fccc31e8e67dc21087c4feb3a36d2ac129dccfe6d393172b58834b408faa85ab6f9f70ec423c88ab7613df9ae258a8db990f3c48d69ef2a1906f7e3b4e18c892 mariadb.initd
+4aca6e42f4dec9d7122388b1d1bc40762a4677a1beafcf448b900d443a2f778a8fd52bc7f1b5c9697e0ad13473e6d01eb29607a40de195ac07857cd4dfc2a1fe fix-mysql-install-db-path.patch"